UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Properties | List of all members
com.latencybusters.lbm.LBMConfigOption Struct Reference

LBM Option class. More...

## Properties
string | Type`[get, set]`
| The type of option. More...
string | OptionName`[get, set]`
| The name of the option. More...
string | Value`[get, set]`
| The value assigned to the option. More...

## Detailed Description

LBM Option class.

## Property Documentation

string com.latencybusters.lbm.LBMConfigOption.OptionName
| get set

The name of the option.

Values: Names of options; e.g. "resolver_multicast_address", "transport", etc.

Referenced by com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMHFX.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueueAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueue.dumpAttributeList(), com.latencybusters.lbm.LBMHFXAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMContextAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSource.dumpAttributeList(), and com.latencybusters.lbm.LBMContext.dumpAttributeList().

string com.latencybusters.lbm.LBMConfigOption.Type
| get set

The type of option.

Values: "context", "source", "receiver", etc.

Referenced by com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMHFX.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueueAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueue.dumpAttributeList(), com.latencybusters.lbm.LBMHFXAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMContextAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSource.dumpAttributeList(), and com.latencybusters.lbm.LBMContext.dumpAttributeList().

string com.latencybusters.lbm.LBMConfigOption.Value
| get set

The value assigned to the option.

Values: String representing the value of the option; e.g. "224.9.10.11", "lbtrm", etc.

Referenced by com.latencybusters.lbm.LBMHFXReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMHFX.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueueAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSourceAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMEventQueue.dumpAttributeList(), com.latencybusters.lbm.LBMHFXAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMContextAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMWildcardReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiver.dumpAttributeList(), com.latencybusters.lbm.LBMReceiverAttributes.dumpAttributeList(), com.latencybusters.lbm.LBMSource.dumpAttributeList(), and com.latencybusters.lbm.LBMContext.dumpAttributeList().

The documentation for this struct was generated from the following file:

- LBMConfigOption.cs